Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - l -

- l : BigStruct, CHAR64LONG16, struct_108byte, struct_116byte
- L : U
- l_desc : internal_state
- label : iseq_adjust_data, rb_iseq_location_struct
- label_no : iseq_compile_data, iseq_label_data
- last : inflate_state, iseq_link_anchor, log, minmax_by_t, minmax_t, node_buffer_list_t
- last_block : linkedlist_data_s
- last_bv : minmax_by_t
- last_category : rofr_data
- last_category_objects : rofr_data
- last_category_str : rofr_data
- last_column : YYLTYPE
- last_error : rb_econv_t
- last_flush : internal_state
- last_id : rb_symbols_t
- last_line : iseq_compile_data, YYLTYPE
- last_lineno : argf
- last_major_gc : rb_objspace
- last_result : rb_econv_elem_t
- last_status : rb_thread_struct
- last_tc : rb_econv_t
- lastline : parser_params, rb_strterm_heredoc_struct, vm_svar
- latest_gc_info : rb_objspace
- lead_num : rb_iseq_constant_body
- LeadByte : myCPINFOEX
- least_addr : malloc_state
- leave_func : obj_traverse_data, obj_traverse_replace_data
- left : bin, file, MT, rbimpl_size_mul_overflow_tag, state
- left_adjust_char_head : OnigEncodingTypeST
- left_anchor : OptAncInfo
- len : _NtCmdLineElement, accept_arg, backref_name_tag, bufread_arg, cdhash_set_label_struct, connect_arg, ct_data_s, FBufferStruct, ibf_object_hash, ibf_object_struct_range, JSON_ParserStruct, loaded_feature_searching, nkf_buf_t, node_buffer_elem_struct, node_buffer_list_t, NodeOptInfo, OptExactInfo, PosixBracketEntryType, RArray, rb_class_cc_entries, RBignum, RString, RStruct, select_bang_arg, string_part, string_t, tab, zstream_run_args
- lenbits : inflate_state
- lencode : inflate_state
- length : binwrite_arg, deflate_index, inflate_state, magic_comment, rb_memory_view_t, rb_mjit_unit_list, recvfrom_arg, RMD160_CTX
- lens : inflate_state
- level : gz_state, internal_state, OnigToken
- lex : parser_params
- lex_is_iterator : cparse_params
- lexer : cparse_params
- lexmid : cparse_params
- lib : transcoder_entry_t
- limit : dump_call_arg, getline_arg, mark_stack, nmin_data, rb_objspace
- line : accessor_args, allocation_info, autoload_const, rb_const_entry_struct
- line_count : parser_params, rb_ast_body_struct
- line_no : iseq_adjust_data, iseq_insn_data, iseq_insn_info_entry, ruby_dtrace_method_hook_args
- lineno : argf, oldbt_arg, rb_backtrace_location_struct, rb_code_position_struct, rb_io_t, rb_trace_arg_struct, StringIO
- link : iseq_adjust_data, iseq_insn_data, iseq_label_data, iseq_trace_data
- linkname : tar_header
- list : deflate_index, exec_recursive_params, method_entry_arg
- lit_bufsize : internal_state
- literal : rb_strterm_struct
- little_endian_p : rb_memory_view_item_component_t
- live_object_count : verify_internal_consistency_struct
- living : allocation_info
- ll : BigStruct
- LL : stack_node
- load_path : loaded_feature_searching, rb_vm_struct
- load_path_check_cache : rb_vm_struct
- load_path_snapshot : rb_vm_struct
- loaded_features : rb_vm_struct
- loaded_features_index : rb_vm_struct
- loaded_features_snapshot : rb_vm_struct
- loader : marshal_compat_t, rb_iseq_struct
- loader_obj : ibf_load
- loading_table : rb_vm_struct
- loc : DIR, rb_ractor_struct, reg_named_capture_assign_t, valued_frame_info
- local : inetsock_arg
- local_hooks : rb_iseq_struct
- local_iseq : rb_iseq_constant_body
- local_storage : rb_execution_context_struct, rb_ractor_struct
- local_storage_recursive_hash : rb_execution_context_struct
- local_storage_recursive_hash_for_trace : rb_execution_context_struct
- local_table : rb_iseq_constant_body
- local_table_size : rb_iseq_constant_body
- local_tables : node_buffer_struct
- local_target_set : rb_tp_struct
- locary : rb_backtrace_struct
- location : rb_iseq_constant_body, rb_method_attr_struct
- LOCATION_TYPE : rb_backtrace_location_struct
- LOCATION_TYPE_CFUNC : rb_backtrace_location_struct
- LOCATION_TYPE_ISEQ : rb_backtrace_location_struct
- LOCATION_TYPE_ISEQ_CALCED : rb_backtrace_location_struct
- lock : CRYPTO_dynlock_value, ioinfo, log, rb_global_vm_lock_struct, rb_ractor_sync, rb_vm_struct
- lock_owner : rb_vm_struct
- lock_rec : rb_vm_struct, rb_vm_tag
- locking_mutex : rb_thread_struct
- lockinitflag : ioinfo
- lookahead : enumerator, internal_state
- loopval_popped : iseq_compile_data
- lower : OnigRepeatRange, OnigToken, QtfrNode
- lpar_beg : parser_params
- lpBuffers : WSAMSG
- lpVtbl : IEventSink, tagIEVENTSINKOBJ
- lt_node : rb_thread_struct
- lval : parser_params
- lvtbl : parser_params